> For the complete documentation index, see [llms.txt](https://docs.wisej.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/api/wisej.web/containers/tabcontrol/wisej.web.tabcontrolaction.md).

# TabControlAction

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Defines values representing [TabControl](/api/wisej.web/containers/tabcontrol.md) events.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum TabControlAction : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum TabControlAction As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name                  | Description                                                                                                |
| --------------------- | ---------------------------------------------------------------------------------------------------------- |
| **Closed**            | Represents the [TabClosed](/api/wisej.web/containers/tabcontrol.md#tabclosed) event.                       |
| **Closing**           | Represents the [TabClosing](/api/wisej.web/containers/tabcontrol.md#tabclosing) event.                     |
| **Deselected**        | Represents the [Deselected](/api/wisej.web/containers/tabcontrol.md#deselected) event.                     |
| **Deselecting**       | Represents the [Deselecting](/api/wisej.web/containers/tabcontrol.md#deselecting) event.                   |
| **Moved**             | Represents the [TabMoved](/api/wisej.web/containers/tabcontrol.md#tabmoved) event.                         |
| **Selected**          | Represents the [Selected](/api/wisej.web/containers/tabcontrol.md#selected) event.                         |
| **Selecting**         | Represents the [Selecting](/api/wisej.web/containers/tabcontrol.md#selecting) event.                       |
| **VisibilityChanged** | Represents the [TabVisibilityChanged](/api/wisej.web/containers/tabcontrol.md#tabvisibilitychanged) event. |

## Used By

| Name                                                                                                                   | Description                                          |
| ---------------------------------------------------------------------------------------------------------------------- | ---------------------------------------------------- |
| [TabControlCancelEventArgs.Action](/api/wisej.web/containers/tabcontrol/wisej.web.tabcontrolcanceleventargs.md#action) | Returns a value indicating which event is occurring. |
| [TabControlEventArgs.Action](/api/wisej.web/containers/tabcontrol/wisej.web.tabcontroleventargs.md#action)             | Returns a value indicating which event is occurring. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/containers/tabcontrol/wisej.web.tabcontrolaction.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
